module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./package.json":
/*!**********************!*\
  !*** ./package.json ***!
  \**********************/
/*! exports provided: name, version, description, main, scripts, publishConfig, jest, author, license, dependencies, peerDependencies, devDependencies, default */
/***/ (function(module) {

module.exports = {"name":"@container-stack/kubectl-plugin","version":"0.0.1","description":"","main":"lib/index.js","scripts":{"watch":"npm run start:dev","start":"node dist/index.js","start:staging":"cross-env NODE_ENV=staging ENV_FILE=../../config/staging/staging.env nodemon dist","start:dev":"cross-env ENV_FILE=../../config/development/dev.env nodemon dist","docker:build":"npm run build && docker build . -t $npm_package_name:$npm_package_version","docker:run":"docker run -it  $npm_package_name:$npm_package_version","prebuild":"npm run build:clean","pretest":"npm run build","build":"cross-env NODE_ENV=production npm run build:dist","build:watch":"npm run build:dist -- --watch","build:dist":"webpack","build:clean":"rimraf dist","jest":"./node_modules/.bin/jest","test":"jest","test:debug":"npm test -- --runInBand","test:watch":"npm test -- --watch"},"publishConfig":{"access":"public"},"jest":{"testEnvironment":"node","roots":["src"],"modulePaths":["node_modules"],"moduleFileExtensions":["ts","tsx","js","json"],"transform":{"\\.(ts|tsx)$":"<rootDir>/../../node_modules/ts-jest/preprocessor.js"},"testRegex":"/__tests__/.*test*\\.(ts|tsx|js)$"},"author":"CDMBase LLC","license":"ISC","dependencies":{"@container-stack/core":"*","@container-stack/kubectl":"*"},"peerDependencies":{"nats-hemera":"1.x","hemera-plugin":"0.x","hemera-joi":"1.x"},"devDependencies":{"cross-env":"^5.1.3","jest":"^22.4.2","rimraf":"^2.6.1","nodemon":"^1.17.4","webpack":"^4.7.0"}};

/***/ }),

/***/ "./src/constants/constants.ts":
/*!************************************!*\
  !*** ./src/constants/constants.ts ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.TOPIC = 'kubectl';
var KUBECTL_COMMANDS;
(function (KUBECTL_COMMANDS) {
    KUBECTL_COMMANDS["EXPOSE"] = "expose";
})(KUBECTL_COMMANDS = exports.KUBECTL_COMMANDS || (exports.KUBECTL_COMMANDS = {}));


/***/ }),

/***/ "./src/constants/index.ts":
/*!********************************!*\
  !*** ./src/constants/index.ts ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./constants */ "./src/constants/constants.ts"));


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const kubectl_1 = __webpack_require__(/*! @container-stack/kubectl */ "@container-stack/kubectl");
const index_1 = __webpack_require__(/*! ./constants/index */ "./src/constants/index.ts");
const Hp = __webpack_require__(/*! hemera-plugin */ "hemera-plugin");
const kubectlPlugin = (hemera, options, done) => {
    const { settings } = options;
    const topic = index_1.TOPIC;
    const command = index_1.KUBECTL_COMMANDS.EXPOSE;
    hemera.add({
        topic,
        cmd: command,
    }, (req, cb) => {
        try {
            const kubectl = new kubectl_1.KubectlApi();
            return kubectl.exposePort(req.payload);
        }
        catch (err) {
            throw new Error(err);
        }
    });
};
module.exports = Hp(kubectlPlugin, {
    hemera: '>=2.0.0-0',
    name: __webpack_require__(/*! ../package.json */ "./package.json").name,
});


/***/ }),

/***/ "@container-stack/kubectl":
/*!*******************************************!*\
  !*** external "@container-stack/kubectl" ***!
  \*******************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("@container-stack/kubectl");

/***/ }),

/***/ "hemera-plugin":
/*!********************************!*\
  !*** external "hemera-plugin" ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("hemera-plugin");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map